Generation Framework

## org.eclipse.gmf.mappings
Interface FeatureInitializer

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  FeatureValueSpec, ReferenceNewElementSpec

All Known Implementing Classes:
  FeatureValueSpecImpl, ReferenceNewElementSpecImpl

    public interface FeatureInitializer

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Feature Initializer'.

The following features are supported:

- `Feature`
- `Feature Seq Initializer`

See Also:
  `GMFMapPackage.getFeatureInitializer()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`org.eclipse.emf.ecore.EStructuralFeature` `getFeature()` Returns the value of the 'Feature' reference
`FeatureSeqInitializer` `getFeatureSeqInitializer()` Returns the value of the 'Feature Seq Initializer' container reference.
`void` `setFeature(org.eclipse.emf.ecore.EStructuralFeature value)` Sets the value of the '`Feature`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFeature

    org.eclipse.emf.ecore.EStructuralFeature getFeature()

  Returns the value of the 'Feature' reference. The feature for which is to be initialized by this initializer

  Returns:
    the value of the 'Feature' reference.
  See Also:
    `setFeature(EStructuralFeature)`, `GMFMapPackage.getFeatureInitializer_Feature()`
  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='feature <> null implies not featureSeqInitializer.initializers->exists(i| i <> self and i.feature = self.feature)' description='The feature is already initialized by another \'FeatureInitializer\' in the sequence'" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='feature <> null implies feature.eContainingClass.isSuperTypeOf(featureSeqInitializer.elementClass)' description='The \'feature\' of \'FeatureInitializer\' must be available in \'Meta Class\' of the initialized element'" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='feature <> null implies feature.changeable' description='The \'feature\' of \'FeatureInitializer\' must be changeable'"

### setFeature

    void setFeature(org.eclipse.emf.ecore.EStructuralFeature value)

  Sets the value of the '`Feature`' reference.

  Parameters:
    `value` - the new value of the 'Feature' reference.
  See Also:
    `getFeature()`
  ** Generated **

### getFeatureSeqInitializer

    FeatureSeqInitializer getFeatureSeqInitializer()

  Returns the value of the 'Feature Seq Initializer' container reference. It is bidirectional and its opposite is '`Initializers`'.

  If the meaning of the 'Feature Seq Initializer' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Feature Seq Initializer' container reference.
  See Also:
    `GMFMapPackage.getFeatureInitializer_FeatureSeqInitializer()`, `FeatureSeqInitializer.getInitializers()`
  ** Generated **
  Model:
    opposite="initializers" required="true" changeable="false"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.